/*!
	\file Food.h

	\brief Header Datei der Klasse Food
	\author Christian Roesch
	\date 21.6.2010

	Erklaerung
*/

#ifndef Food_H
#define Food_H

#include <vector>

/*!
	\brief Kurzgesagt

	Tut _nichts_.
*/

class Player;

class Food
{
public:
	Food();

	void Reset();

	void SetPos( float fPosX, float fPosY );

	float GetX();
	float GetY();

	float GetNextX();
	float GetNextY();

	void draw();

	void calculate( float fTimeStep, std::vector< Food >& allFood, Player* p );

private:
	float m_fPosX;
	float m_fPosY;
	float m_fSpeedX;
	float m_fSpeedY;

};



#endif

class Food;

//	EOF: Food.h
