/*!
	\file resources.h

	\brief Header Datei der resources
	\author Christian Roesch
	\date 21.6.2010

	Erklaerung
*/

#include "hge.h"
#include "hgesprite.h"
#include "hgefont.h"

#ifndef resources_H
#define resources_H

void LoadResource();
void FreeResource();

extern HTEXTURE			texGhost;
extern hgeSprite*		sprGhost;
extern HTEXTURE			texGhost2;
extern hgeSprite*		sprGhost2;
extern HTEXTURE			texPacMan;
extern hgeSprite*		sprPacMan;
extern HTEXTURE			texFood;
extern hgeSprite*		sprFood;

extern hgeFont*			fnt;
extern HEFFECT			sndEnergy;
extern HEFFECT			sndPacEaten;
extern HEFFECT			sndFoodEaten;
extern HEFFECT			sndDead;
extern HEFFECT			sndNextLevel;

extern HMUSIC			musGame;


#endif

//	EOF: resources.h
