/*!
	\file Game.h

	\brief Header Datei der Klasse Game
	\author Christian Roesch
	\date 21.6.2010

	Erklaerung
*/

#ifndef Game_H
#define Game_H

#include <vector>

class Player;
class PacMan;
class Food;

/*!
	\brief Kurzgesagt

	Tut _nichts_.
*/

class Game
{
public:
	Game();
	~Game();

	void ResetGame();
	void PrepareGame();

	void PrepareGameWorld();

	bool FrameFunc();
	bool RenderFunc();

	void PlayerPacManCollisions();
	void PacManFoodCollisions();

	float GetExtraCloneOffset();

	int GetLevel();

	int GetPlayerCount();

private:
	void NextLevel();

	Player* m_Player;
	std::vector< PacMan > m_PacMan;
	std::vector< Food > m_Food;

	int m_Level;
	
	bool m_GameOver;
	float m_fGameTime;
	float m_fLevelTime;
	int	m_iScore;
	int m_iPlayerCount;

};


#endif

class Game;


//	EOF: Game.h
