/*!
	\file PacMan.h

	\brief Header Datei der Klasse PacMan
	\author Christian Roesch
	\date 21.6.2010

	Erklaerung
*/

#ifndef PacMan_H
#define PacMan_H

#include <vector>

/*!
	\brief Kurzgesagt

	Tut _nichts_.
*/

class PacMan
{
public:
	PacMan();

	void Reset();

	void SetPos( float fPosX, float fPosY );

	float GetX();
	float GetY();

	void clone( PacMan& p );

	void draw();

	void calculate( float fTimeStep );

	void canclone( std::vector< PacMan >& PacManList );

	void eat();

private:
	void FindNewTarget();

	void NewCloneTime();

	float m_fPosX;
	float m_fPosY;
	float m_fTargetX;
	float m_fTargetY;
	float m_fAngle;
	float m_fCloneTime;
};


#endif

class PacMan;


//	EOF: PacMan.h
