/*!
	\file Player.h

	\brief Header Datei der Klasse Player
	\author Christian Roesch
	\date 21.6.2010

	Erklaerung
*/

#ifndef Player_H
#define Player_H

/*!
	\brief Kurzgesagt

	Tut _nichts_.
*/

class Player
{
public:
	Player();

	void Reset();

	void SetPos( float fPosX, float fPosY );

	float GetX();
	float GetY();

	float GetFoodPower();

	void draw();

	void calculate( float fTimeStep );

	bool IsVulnerable();

	void FoodTouch( float fTimeStep );

	void EatPacMan();

	void SetKeys(
		int iKeyFocus,
		int iKeyUp,
		int iKeyLeft,
		int iKeyDown,
		int iKeyRight );

private:
	float m_fPosX;
	float m_fPosY;
	float m_fSpeedX;
	float m_fSpeedY;

	float m_fVulnerable;

	bool m_bFocus;

	float m_fEnergySoundTimer;

	int m_iKeyFocus;
	int m_iKeyUp;
	int m_iKeyLeft;
	int m_iKeyDown;
	int m_iKeyRight;
};



#endif

class Player;


//	EOF: Player.h
